#include <stdio.h>
#include <string.h>

int main()
{
    char n[100000],ch=0;
    int xd=0,brc,brn=0,min=100000;
    while(ch!='\0')
    {
        ch=getchar();
        n[xd]=ch;
        xd++;
    }
    brc=xd-1;
    for(int i=0;i<brc-1;i++)
    {
        for(int j=i+1;j<brc;j++)
        {
            if(n[i]==n[j])
            {
                if(brn!=0  && brn<min)
                {
                    min=brn;
                    brn=0;
                }
            }
            else
            {
                brn++;
            }
        }
    }
    printf("%d",min);
    return 0;
}